> ## Documentation Index
> Fetch the complete documentation index at: https://jetemail.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get domain blocklist rules

> Retrieves blocklist rules for a specific domain. Provide exactly one of: domain, subdomain_id, or subdomain_uuid.



## OpenAPI

````yaml /openapi.json get /inbound/filters/blocklist
openapi: 3.0.0
info:
  title: JetEmail API
  version: 1.0.0
  description: API documentation for JetEmail's transactional email service.
servers:
  - url: https://api.jetemail.com
    description: Production
security:
  - apiKeyAuth: []
externalDocs:
  description: Download OpenAPI Specification
  url: /openapi.json
paths:
  /inbound/filters/blocklist:
    get:
      tags:
        - Inbound
      summary: Get domain blocklist rules
      description: >-
        Retrieves blocklist rules for a specific domain. Provide exactly one of:
        domain, subdomain_id, or subdomain_uuid.
      parameters:
        - name: domain
          in: query
          required: false
          schema:
            type: string
          description: Fully qualified domain name
        - name: subdomain_id
          in: query
          required: false
          schema:
            type: integer
          description: Numeric subdomain ID
        - name: subdomain_uuid
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Subdomain UUID
      responses:
        '200':
          description: Successfully retrieved blocklist rules
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  rules:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          format: uuid
                          example: 550e8400-e29b-41d4-a716-446655440000
                        userId:
                          type: string
                          nullable: true
                        organizationId:
                          type: string
                          nullable: true
                        domain:
                          type: string
                          example: example.com
                        action:
                          type: string
                          enum:
                            - DENY
                        name:
                          type: string
                          example: Block spam senders
                        description:
                          type: string
                          nullable: true
                        enabled:
                          type: integer
                          enum:
                            - 0
                            - 1
                          example: 1
                        deleted:
                          type: integer
                          enum:
                            - 0
                            - 1
                          example: 0
                        last_modified:
                          type: integer
                          example: 1735689600
                        conditions:
                          type: object
                          properties:
                            senders:
                              type: array
                              items:
                                type: object
                                properties:
                                  sender_type:
                                    type: string
                                    enum:
                                      - email
                                      - domain
                                      - pattern
                                  sender_value:
                                    type: string
                            recipients:
                              type: array
                              items:
                                type: object
                                properties:
                                  recipient_type:
                                    type: string
                                    enum:
                                      - email
                                      - domain
                                      - pattern
                                  recipient_value:
                                    type: string
                            subjects:
                              type: array
                              items:
                                type: object
                                properties:
                                  match_type:
                                    type: string
                                    enum:
                                      - exact
                                      - contains
                                      - starts_with
                                      - ends_with
                                      - regex
                                  subject_value:
                                    type: string
                                  case_sensitive:
                                    type: integer
                                    enum:
                                      - 0
                                      - 1
                            body:
                              type: array
                              items:
                                type: object
                                properties:
                                  match_type:
                                    type: string
                                    enum:
                                      - contains
                                      - regex
                                  body_value:
                                    type: string
                                  case_sensitive:
                                    type: integer
                                    enum:
                                      - 0
                                      - 1
                                  max_body_size:
                                    type: integer
                                    nullable: true
                            headers:
                              type: array
                              items:
                                type: object
                                properties:
                                  header_name:
                                    type: string
                                  match_type:
                                    type: string
                                    enum:
                                      - exact
                                      - contains
                                      - starts_with
                                      - ends_with
                                      - regex
                                      - exists
                                  header_value:
                                    type: string
                                    nullable: true
                                  case_sensitive:
                                    type: integer
                                    enum:
                                      - 0
                                      - 1
                            ips:
                              type: array
                              items:
                                type: object
                                properties:
                                  ip_type:
                                    type: string
                                    enum:
                                      - single
                                      - cidr
                                      - range
                                  ip_value:
                                    type: string
                                    example: 192.168.1.0/24
                            size:
                              type: object
                              nullable: true
                              properties:
                                min_size:
                                  type: integer
                                  nullable: true
                                max_size:
                                  type: integer
                                  nullable: true
                            attachments:
                              type: array
                              items:
                                type: object
                                properties:
                                  match_type:
                                    type: string
                                    enum:
                                      - filename
                                      - extension
                                      - mimetype
                                      - none
                                      - has_attachments
                                  match_value:
                                    type: string
                                    nullable: true
                                  case_sensitive:
                                    type: integer
                                    enum:
                                      - 0
                                      - 1
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: domain, subdomain_id, or subdomain_uuid is required
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: Forbidden
        '404':
          description: Domain not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: Domain not found
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: Failed to fetch blocklist rules
components:
  securitySchemes:
    apiKeyAuth:
      type: http
      scheme: bearer
      description: API key for account management endpoints. Use your api_ prefixed token.

````